PHP 5.4

трудности перехода

 
Посетитель
small user social cms
Почетный донор проекта
Сообщений: 52
Доброго времени суток, вот такое письмо получил от хостеров
В связи с официальным завершением поддержки ветки PHP 5.2 со стороны разработчиков, а также для устранения критических уязвимостей установленной версии и отказ от поддержки в популярных CMS, будет обновления PHP до актуальной ветки 5.4.x Информируем Вас, что обновление программного обеспечения будет происходить в июне, этого года постепенно на наших серверах хостинга. Для устранения вероятных проблем на ваших сайтах, просим обратить особое внимание на устаревшие функции и иные изменения в PHP 5.2/5.3, которые перестанут работать после обновления до 5.4:
, вопрос: будет ли работать версия 1.9? В документации сказано:
(в нашем случае не ниже 5 и не выше 5.3)
Понимаю самый простой ответ обновить, но есть пару сайтов из 30 которые не хотелось бы трогать в плане обновления. Слишком вероятен риск что ни будь сломать и диз переделывать, а это официальные сайты районных администраций. Может обрисуете насколько все это серьезно?

PS извиняюсь если не туда написал
Сотворил тут для себя )) http://tech-oscar.ru/
Посетитель
small user social cms
Медаль
Сообщений: 848
Варианты:
1. В ускоренном порядке на локалку бэкапы и обновлять до текущей версии. Может успеете.
2. Заказать обновление у профи - чтобы ничего не сломалось.
3. Сменить хостера на более консервативного.
Реклама
cms
InstantCMS Team
small user social cms
МедальКубок зрительских симпатийАвторитет форума
Сообщений: 1343
Работать скорее всего будет, но начнут сыпаться сообщения E_DEPRECATED (устаревшие функции)
Если отключить вывод ошибок на сайте и периодически чистить логи - то жить можно, наверно
Посетитель
small user social cms
Почетный донор проекта
Сообщений: 52
Raiden:
3. Сменить хостера на более консервативного.
Хм дак я планирую на этих хостингах размещать сайты на 2 версии инстанта а там не ниже 5.3 так что их обвинять не в чем.
r2:
Работать скорее всего будет, но начнут сыпаться сообщения E_DEPRECATED (устаревшие функции)
Если отключить вывод ошибок на сайте и периодически чистить логи - то жить можно, наверно
то есть какое то время можно продержаться до решения финансовых проблем по обновлению движка из этого следует дизайна.
Сотворил тут для себя )) http://tech-oscar.ru/
Посетитель
small user social cms
Медаль
Сообщений: 479
r2, а InstantCMS 2.0 - будет работать нормально на 5.4 или 5.5?
Просто пробовал поставить на PHP 5.4 нашу CMS версии 1.10.3 с шопом - полезли ошибки, пришлось сервер возвращать к 5.3 sad
Ведь в новых версиях PHP возможностей больше...
Посетитель
small user social cms
МедальКубок зрительских симпатийПочетный донор проекта
Сообщений: 820
oscar:
вопрос: будет ли работать версия 1.9?
Как ответил R2 если убрать логи и не обращать на деприкеты то будет работать, но если под шаманить малек, то 1.9 прекрасно работает и на 5.5 проверено на рабочих сайтах клиентов. smile тут все зависит от вас, можете найти хостера на 5.2 и поставить туда сайты, но пройдет полгода будете снова бегать искать, куда их перенести. второй вариант обновить, но не думаю что это будет дешево да и скорее всего будут возникать проблемы которые нужно будет решать. 3 вариант просто проапдейти именно системы, просто убрать деприкейт функции и на этом все, и тогда сможете жить на любом хостинге.
Компоненты, модули, шаблоны, разработка на заказ - широкий выбор всего
InstantCMS Team
small user social cms
МедальАвторитет форумаКубок зрительских симпатий
Сообщений: 4379
Project-S:
Просто пробовал поставить на PHP 5.4 нашу CMS версии 1.10.3 с шопом - полезли ошибки, пришлось сервер возвращать к 5.3
показывайте эти "ошибки" - хотя это не ошибки, а предупреждения, кои, как уже написал r2, можно просто отключить. Ведь чтобы мы их убрали в дистрибутиве, мы должны их увидеть joke
Видео каталог для InstantCMS | Аудио каталог для InstantCMS | Мы Вконтакте | Предложение для спонсоров
Посетитель
small user social cms
Почетный донор проекта
Сообщений: 52
Fuze:

Project-S:
Просто пробовал поставить на PHP 5.4 нашу CMS версии 1.10.3 с шопом - полезли ошибки, пришлось сервер возвращать к 5.3
показывайте эти "ошибки" - хотя это не ошибки, а предупреждения, кои, как уже написал r2, можно просто отключить. Ведь чтобы мы их убрали в дистрибутиве, мы должны их увидеть joke

Согласен, лучше подшаманить
Сотворил тут для себя )) http://tech-oscar.ru/
В начало страницы
Предыдущая темаСледующая тема Перейти на форум:
Быстрый ответ
Чтобы писать на форуме, зарегистрируйтесь или авторизуйтесь.